% SIFTSLoad
%
% DESCRIPTION:
%  Loads required paths
%
% VERSION:
%  1.1
%
% AUTHOR:
%  Javier Cruz-Mota, email: javier.cruz@epfl.ch
%  Copyright (C) 2011 EPFL (Ecole Polytechnique fédérale de Lausanne)
%  Transport and Mobility Laboratoy (TRANSP-OR)
% 
% LICENSE:
%  SIFTS is free software: you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation, either version 3 of the License, or
%  (at your option) any later version.
%  Please refer to the file COPYING for more information.
%
% REFERENCE:
%  @TECHREPORT{CruzBogdPaquBierThir09,
%     Author = {Javier Cruz-Mota and Iva Bogdanova and Beno{\^\i}t Paquier and Michel Bierlaire and Jean-Philippe Thiran},
%     Institution = {Transport and Mobility Laboratory, Ecole Polytechnique F\'ed\'erale de Lausanne (EPFL)},
%     Title = {Scale Invariant Feature Transform on the Sphere: Theory and Applications},
%     Year = {2009}
%  }

disp(' ');
disp('  SIFTS Copyright (C) 2009 EPFL');
disp('  Transport and Mobility Laboratoy (TRANSP-OR)');
disp('  Author: Javier Cruz-Mota');
disp('  This program comes with ABSOLUTELY NO WARRANTY');
disp('  This is free software, and you are welcome to redistribute it');
disp('  under certain conditions');
disp('  For further details, see COPYING');
disp(' ');

disp('[SIFTS] Installing paths...');

global SIFTSLocalPath;

if(~exist(SIFTSLocalPath, 'var'))
    SIFTSLocalPath = pwd;

    path(path, [pwd '/Demos']);
    path(path, [pwd '/Descriptors']);
    path(path, [pwd '/Drawings']);
    path(path, [pwd '/SphericalScaleSpace']);
    path(path, [pwd '/Transform']);
    path(path, [pwd '/Utils']);
end

disp('[SIFTS] Done!');
